## smalr 1.1+dfsg

=== Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = smalr
SOURCEDIR     = docs
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(SOURCEDIR)/$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(SOURCEDIR)/$(BUILDDIR)" $(SPHINXOPTS) $(O)

## smalr 1.0.1

=== debian/changelog ===
smalr (1.0.1-1) unstable; urgency=medium

  * Initial release (Closes: #891485)

 -- Afif Elghraoui <afif@debian.org>  Sun, 25 Feb 2018 20:38:09 -0500

=== debian/control ===
Source: smalr
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Afif Elghraoui <afif@debian.org>
Build-Depends:
	debhelper (>= 11),
	dh-python,
	python-all,
	python-setuptools,
	python-pbcore (>= 0.9.4),
	python-h5py (>= 2.0.1),
	python-numpy (>= 1.6.0),
Standards-Version: 4.1.3
Homepage: https://github.com/fanglab/SMALR
Vcs-Git: https://salsa.debian.org/med-team/smalr.git
Vcs-Browser: https://salsa.debian.org/med-team/smalr.git

Package: smalr
Architecture: all
Depends:
	${misc:Depends},
	${python:Depends},
	samtools,
	bwa (>= 0.7),
	r-base-core (>= 3.0),
	r-cran-seqinr,
Description: interrogation of the methylation status of nucleotide sequencing reads 
 The SMALR package conducts single-molecule level interrogation of the
 methylation status of single-molecule real-time (SMRT) sequencing reads.
 There are two protocols available for use within the pipeline, SMsn and SMp.
  * SMsn: Single-molecule, single nucleotide analysis
    Each motif site on each sequencing molecule is assessed for methylation
    status. This is designed for use with short (~250bp) sequencing library
    preps, where the long read lengths of SMRT reads enables multiple passes
    over each motif site. The reliability of the SMsn scores increases with
    more passes (i.e. higher single-molecule coverage).
  * SMp: Single-molecule, motif-pooled analysis
    All motif sites on a sequencing molecule are pooled together and the
    molecule-wide methylation status for the given motif is assessed. This is
    designed for use with long (10Kb+) sequencing library preps, where each
    single long subread can span many distinct motif sites. The reliability of
    the SMp scores increases with increasing number of distinct motif sites
    contained in the subread.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=smalr

%:
	dh $@ --with python2

override_dh_install:
	dh_install
# https://github.com/fanglab/SMALR/issues/12
	mv debian/smalr/usr/bin/call_smalr.py \
	   debian/smalr/usr/bin/smalr

=== debian/tests/control ===
Test-Command:
	cp -r test/* $AUTOPKGTEST_TMP
	&& cd $AUTOPKGTEST_TMP
	&& ./run_test_SMp.sh
	&& ./run_test_SMsn.sh
Restrictions: allow-stderr

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%smalr-$1.tar.gz%" \
   https://github.com/fanglab/SMALR/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## smalr 1.1+dfsg

=== debian/changelog ===
smalr (1.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * Remove trailing whitespace in debian/copyright
  * Rename dir debian/upsteam to debian/upstream

 -- Andreas Tille <tille@debian.org>  Thu, 20 Dec 2018 21:45:13 +0100

smalr (1.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Adjust packaging for changes in source organization

 -- Afif Elghraoui <afif@debian.org>  Sun, 11 Mar 2018 19:19:43 -0400

=== debian/control ===
--- 
+++ 
@@ -1,31 +1,29 @@
 Source: smalr
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Uploaders: Afif Elghraoui <afif@debian.org>
 Section: science
 Priority: optional
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Afif Elghraoui <afif@debian.org>
-Build-Depends:
-	debhelper (>= 11),
-	dh-python,
-	python-all,
-	python-setuptools,
-	python-pbcore (>= 0.9.4),
-	python-h5py (>= 2.0.1),
-	python-numpy (>= 1.6.0),
-Standards-Version: 4.1.3
+Build-Depends: debhelper (>= 11),
+               dh-python,
+               python-all,
+               python-setuptools,
+               python-pbcore,
+               python-h5py,
+               python-numpy
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/med-team/smalr
+Vcs-Git: https://salsa.debian.org/med-team/smalr.git
 Homepage: https://github.com/fanglab/SMALR
-Vcs-Git: https://salsa.debian.org/med-team/smalr.git
-Vcs-Browser: https://salsa.debian.org/med-team/smalr.git
 
 Package: smalr
 Architecture: all
-Depends:
-	${misc:Depends},
-	${python:Depends},
-	samtools,
-	bwa (>= 0.7),
-	r-base-core (>= 3.0),
-	r-cran-seqinr,
-Description: interrogation of the methylation status of nucleotide sequencing reads 
+Depends: ${misc:Depends},
+         ${python:Depends},
+         samtools,
+         bwa (>= 0.7),
+         r-base-core (>= 3.0),
+         r-cran-seqinr
+Description: interrogation of the methylation status of nucleotide sequencing reads
  The SMALR package conducts single-molecule level interrogation of the
  methylation status of single-molecule real-time (SMRT) sequencing reads.
  There are two protocols available for use within the pipeline, SMsn and SMp.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=smalr
export LC_ALL=C.UTF-8

%:
	dh $@ --with python2 --buildsystem pybuild

=== debian/tests/control ===
--- 
+++ 
@@ -3,4 +3,6 @@
 	&& cd $AUTOPKGTEST_TMP
 	&& ./run_test_SMp.sh
 	&& ./run_test_SMsn.sh
+	&& ./run_test_SMp_bam.sh
+	&& ./run_test_SMsn_bam.sh
 Restrictions: allow-stderr

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%smalr-$1.tar.gz%,dversionmangle=s/\+dfsg//" \
   https://github.com/fanglab/SMALR/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
